Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass Class Reference

Compiler pass for the RichText Aggregate converter tags. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass:

## Public Member Functions
| process (ContainerBuilder $container)

## Protected Member Functions
| setConverterDefinitions (array $taggedServiceIds, Definition $converterDefinition)
| sortConverters (array $convertersByPriority)
| Transforms a two-dimensional array of converters, indexed by priority, into a flat array of Reference objects. More...

## Detailed Description

Compiler pass for the RichText Aggregate converter tags.

See also
  \eZ\Publish\Core\FieldType\RichText\Converter\Aggregate

Definition at line 19 of file RichTextHtml5ConverterPass.php.

## Member Function Documentation

## ◆ process()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass::process | ( | ContainerBuilder | $container | ) |

Definition at line 21 of file RichTextHtml5ConverterPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass\setConverterDefinitions().

## ◆ setConverterDefinitions()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass::setConverterDefinitions | ( | array | $taggedServiceIds,
|  | Definition | $converterDefinition
| ) |  |
| protected

Parameters

  array | $taggedServiceIds |
  Definition | $converterDefinition |

Definition at line 40 of file RichTextHtml5ConverterPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass\sortConverters().

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass\process().

## ◆ sortConverters()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass::sortConverters | ( | array | $convertersByPriority | ) |
| protected

Transforms a two-dimensional array of converters, indexed by priority, into a flat array of Reference objects.

Parameters

  array | $convertersByPriority |

Returns
  \Symfony\Component\DependencyInjection\Reference[]

Definition at line 65 of file RichTextHtml5ConverterPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\RichTextHtml5ConverterPass\setConverterDefinitions().

The documentation for this class was generated from the following file:

- RichTextHtml5ConverterPass.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.